%define upstream_name    Unicode-Tussle
%define upstream_version 1.122

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Tom's Unicode Scripts So Life is Easier
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.640.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(Lingua::EN::Syllable)
BuildRequires: perl(Lingua::KO::Hangul::Util)
BuildRequires: perl(Lingua::KO::Romanize::Hangul)
BuildRequires: perl(Lingua::ZH::Romanize::Pinyin)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Unicode::GCString)
BuildRequires: perl(Unicode::Unihan) >= 0.43.0
BuildArch:  noarch

%description
These programs are installed wherever you told the build system to install
programs. These are part of Tom's _Perl Unicode Essentials_ talk from OSCON
2011. You might have to adjust your fonts to see some of the characters in
these examples. George Douros’s Symbola font, which handles Unicode 6.0, is
a good one: http://users.teilar.gr/~g1951d/

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%install
%make_install
# (tv) fix conflicts:
mv %buildroot/%_bindir/rename{,-unicode}
mv %buildroot/%_bindir/lc{,-unicode}

%check
%make_build test

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Tue Jul 08 2025 umeabot <umeabot> 1.122.0-2.mga10
+ Revision: 2252017
- Mageia 10 Mass Rebuild

* Tue Apr 22 2025 tv <tv> 1.122.0-1.mga10
+ Revision: 2178102
- update to 1.122

* Wed Feb 05 2025 tv <tv> 1.121.0-1.mga10
+ Revision: 2145348
- update to 1.121

* Fri Jan 24 2025 tv <tv> 1.119.0-1.mga10
+ Revision: 2141760
- update to 1.119

* Mon Oct 03 2022 tv <tv> 1.115.0-1.mga9
+ Revision: 1894267
- imported package perl-Unicode-Tussle


* Mon Oct 03 2022 cpan2dist 1.115-1mga
- initial mageia release, generated with cpan2dist
